import * as React from 'react';
interface Props {
    onChange: Function;
    options: Array<Object>;
    className?: string;
    anchor?: 'bottom' | 'top';
    width: number;
    height: number;
}
interface State {
    showOptions: boolean;
    activeElement: string | Object;
    inputHeight: number;
}
declare class Select extends React.Component<Props, State> {
    state: {
        showOptions: boolean;
        inputHeight: number;
        activeElement: {
            text: string;
            value: null;
        };
    };
    componentDidMount(): void;
    renderOptions: () => JSX.Element[];
    render(): JSX.Element;
}
export default Select;
