/// <reference types="react" />
interface Props {
    placeholder?: string;
    label: JSX.Element | string;
    labelColor?: string;
    style?: Object;
    name?: string;
    rows?: number;
    cols?: number;
    field?: {
        name?: string;
    };
    form?: {
        errors?: {
            [key: string]: string;
        };
    };
    textErrorColor?: string;
}
declare const TextArea: {
    (props: Props): JSX.Element;
    defaultProps: {
        type: string;
        placeholder: null;
        labelColor: string;
        style: {};
    };
};
export default TextArea;
