import * as React from 'react';
import './styles/slick-theme.css';
import './styles/slick.css';
interface Props {
    children: React.ReactNode;
    variableWidth?: boolean;
    swipeToSlide?: boolean;
    infinite?: boolean;
    afterSlideChange?: (current: number) => void;
    showLeftArrow: boolean;
    showRightArrow: boolean;
}
interface SlideProps {
    children: React.ReactNode;
    keyValue: number | string;
    onClick?: (infoSlide: any) => any;
    isDragging?: boolean;
}
interface State {
    isDragging: boolean;
}
declare class DaySlider extends React.Component<Props, State> {
    static defaultProps: {
        variableWidth: boolean;
        swipeToSlide: boolean;
        afterSlideChange: () => void;
        showLeftArrow: boolean;
        showRightArrow: boolean;
    };
    static Slide: (props: SlideProps) => JSX.Element;
    state: State;
    startDragging: () => void;
    stopDragging: (currentSlide: number) => void;
    render(): JSX.Element;
}
export default DaySlider;
