import * as React from 'react';
declare type Props = {
    children: React.ReactNode;
    color?: string;
    size?: 'l' | 'm' | 's';
    textTransform?: 'uppercase' | 'lowercase' | 'capitalize';
    margin?: 'noMargin' | 'noTopMargin' | 'noBottomMargin' | '';
    halfMargin?: 'halfMargin' | 'halfTopMargin' | 'halfBottomMargin' | '';
    style?: Object;
    fontWeight?: number | string;
    fontFamily?: string;
    as?: string;
};
declare const P: (props: Props & React.HTMLAttributes<HTMLElement>) => JSX.Element;
export default P;
