/// <reference types="react" />
import { IconProp } from '@fortawesome/fontawesome-svg-core';
declare type Props = {
    type?: string;
    placeholder?: string;
    icon?: IconProp;
    label?: JSX.Element | string;
    labelColor?: string;
    name?: string;
    style?: {};
    field?: {
        name?: string;
    };
    form?: {
        errors?: {
            [key: string]: string;
        };
        touched?: {
            [key: string]: string;
        };
    };
    textErrorColor?: string;
    letterSpacing?: number;
    value?: any;
    onClick?: (e?: any) => any;
    onChange?: (e?: any) => any;
};
declare const TextInput: (props: Props) => JSX.Element;
export default TextInput;
