/// <reference types="react" />
import './styles/slick-theme.css';
import './styles/slick.css';
declare type Props = {
    children: JSX.Element | Array<JSX.Element>;
    itemsToShow: number;
    disableDots?: boolean;
    invertedArrows?: boolean;
    disableArrows?: boolean;
    initialSlide?: number;
    maxHeightSlick?: string;
    beforeChange?: () => any;
    afterChange?: () => any;
};
declare const Slider: {
    ({ children, itemsToShow, disableDots, invertedArrows, disableArrows, initialSlide, maxHeightSlick, beforeChange, afterChange, }: Props): JSX.Element;
    defaultProps: {
        disableDots: boolean;
        disableArrows: boolean;
        invertedArrows: boolean;
    };
};
export default Slider;
